> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get Campaign Details

GET https://api.vomo.org/v1/campaigns/{id}

Reference: https://virtuous.ferndocs.com/reference/volunteer/campaigns/show-campaign

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (integer, required) — VOMO Campaign ID

## Response

### 200

successful operation

- `any`

## Examples

**Response**

```json
{
  "data": {
    "type": "campaign",
    "campaign_id": "1",
    "campaign_name": "Together",
    "description": "",
    "url": "http://app.vomo.org/initiative/together",
    "organization": "VOMO",
    "organization_slug": "vomo",
    "organization_id": 123,
    "author_id": 1,
    "logo_url": "https://s3.amazonaws.com/awakenmycity/j2/7Z/r4-s.jpg",
    "created_at": "2016-03-07T07:49:41+00:00",
    "updated_at": "2018-08-02T08:10:48+00:00",
    "projects": [
      {
        "type": "project",
        "project_id": "2",
        "project_name": "Landscaping / For Kids VA - TOGETHER 2016",
        "description": "Help keep our properties beautiful! Landscaping usually involves mowing, trimming, weeding, planting, litter pick-up, outdoor painting, outdoor cleaning and other outdoor maintenance items.\\n\\n*In partnership with TOGETHER 2016. Contact ForKidsVA directly to confirm service project.",
        "url": "http://app.vomo.org/opportunity/landscapingforkidsvatogether2016",
        "organization": "For Kids VA - TOGETHER 2016 Partner",
        "organization_slug": "for-kids-va-together-2016-partner",
        "author_id": 3,
        "address": {
          "type": "premise",
          "route": "colley avenue",
          "country": "united states",
          "locality": "norfolk",
          "timezone": "America/New_York",
          "postal_code": "23508",
          "neighborhood": "highland park",
          "street_number": "4200",
          "formatted_address": "4200 Colley Ave, Norfolk, VA 23508, USA",
          "postal_code_suffix": "2508",
          "administrative_area_level_1": "virginia"
        },
        "anytime": 0,
        "created_at": "2016-02-01T15:37:25+00:00",
        "updated_at": "2016-03-21T18:13:46+00:00",
        "published_at": "2016-02-01T13:45:18+00:00",
        "draft": false,
        "all_dates": [
          {
            "type": "project_date",
            "id": 1,
            "starts_at": "2016-07-13T13:00:23+00:00",
            "ends_at": "2016-07-13T15:00:23+00:00",
            "participant_count": 17
          },
          {
            "type": "project_date",
            "id": 34,
            "starts_at": "2016-07-14T13:00:14+00:00",
            "ends_at": "2016-07-14T15:00:14+00:00",
            "participant_count": 1
          },
          {
            "type": "project_date",
            "id": 35,
            "starts_at": "2016-07-15T13:00:29+00:00",
            "ends_at": "2016-07-15T15:00:29+00:00",
            "participant_count": 1
          },
          {
            "type": "project_date",
            "id": 36,
            "starts_at": "2016-07-17T13:00:46+00:00",
            "ends_at": "2016-07-17T15:00:46+00:00",
            "participant_count": 0
          }
        ],
        "images": [
          "https://s3.amazonaws.com/awakenmycity/jy/z8/hj-l.jpg",
          "https://s3.amazonaws.com/awakenmycity/jy/z8/hj-l.jpg",
          "https://s3.amazonaws.com/awakenmycity/N6/59/Jy-l.jpg"
        ]
      },
      {
        "type": "project",
        "project_id": "3",
        "project_name": "Good Mojo Thrift Store - TOGETHER 2016",
        "description": "Good Mojo is opened to the public and our families also shop at the store using vouchers they receive during program participation. Your group volunteer project would consist of donation sorting, organizing, hanging, light lifting and heavy lifting for those who are able. \\n\\n*In partnership with TOGETHER 2016. Contact 757-622-1194 to confirm service project details.",
        "url": "http://app.vomo.org/opportunity/goodmojothriftstoretogether2016",
        "organization": "For Kids VA - TOGETHER 2016 Partner",
        "organization_slug": "for-kids-va-together-2016-partner",
        "author_id": 3,
        "address": {
          "type": "premise",
          "route": "granby street",
          "venue": "Good Mojo Thrift Store",
          "country": "united states",
          "locality": "norfolk",
          "timezone": "America/New_York",
          "postal_code": "23517",
          "street_number": "2411",
          "formatted_address": "2411 Granby St, Norfolk, VA 23517, USA",
          "postal_code_suffix": "1421",
          "administrative_area_level_1": "virginia"
        },
        "anytime": 0,
        "created_at": "2016-02-01T15:55:45+00:00",
        "updated_at": "2016-03-21T18:14:00+00:00",
        "published_at": "2016-02-01T14:30:03+00:00",
        "draft": false,
        "all_dates": [
          {
            "type": "project_date",
            "id": 2,
            "starts_at": "2016-07-13T13:00:50+00:00",
            "ends_at": "2016-07-13T15:00:50+00:00",
            "participant_count": 2
          },
          {
            "type": "project_date",
            "id": 37,
            "starts_at": "2016-07-14T13:00:22+00:00",
            "ends_at": "2016-07-14T15:00:22+00:00",
            "participant_count": 0
          },
          {
            "type": "project_date",
            "id": 38,
            "starts_at": "2016-07-15T13:00:36+00:00",
            "ends_at": "2016-07-15T15:00:36+00:00",
            "participant_count": 2
          },
          {
            "type": "project_date",
            "id": 39,
            "starts_at": "2016-07-18T13:00:52+00:00",
            "ends_at": "2016-07-18T15:00:52+00:00",
            "participant_count": 6
          }
        ],
        "images": [
          "https://s3.amazonaws.com/awakenmycity/H0/bv/j5-l.jpg",
          "https://s3.amazonaws.com/awakenmycity/H0/bv/j5-l.jpg"
        ]
      }
    ]
  }
}
```

**SDK Code**

```python Campaigns_showCampaign_example
import requests

url = "https://api.vomo.org/v1/campaigns/1"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Campaigns_showCampaign_example
const url = 'https://api.vomo.org/v1/campaigns/1';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Campaigns_showCampaign_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.vomo.org/v1/campaigns/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Campaigns_showCampaign_example
require 'uri'
require 'net/http'

url = URI("https://api.vomo.org/v1/campaigns/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Campaigns_showCampaign_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.vomo.org/v1/campaigns/1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Campaigns_showCampaign_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.vomo.org/v1/campaigns/1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Campaigns_showCampaign_example
using RestSharp;

var client = new RestClient("https://api.vomo.org/v1/campaigns/1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Campaigns_showCampaign_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.vomo.org/v1/campaigns/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```